org.jboss.jca.as.converters.wls.api.metadata

## Enum SecurityWorkContext.Tag

- java.lang.Object
- - java.lang.Enum<SecurityWorkContext.Tag>
  - - org.jboss.jca.as.converters.wls.api.metadata.SecurityWorkContext.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SecurityWorkContext.Tag>
  Enclosing interface:
    SecurityWorkContext

      public static enum SecurityWorkContext.Tag
      extends java.lang.Enum<SecurityWorkContext.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CALLER_PRINCIPAL_DEFAULT_MAPPED` caller-principal-default-mapped tag
    `CALLER_PRINCIPAL_MAPPING` caller-principal-mapping tag
    `GROUP_PRINCIPAL_DEFAULT_MAPPED` group-principal-default-mapped tag
    `GROUP_PRINCIPAL_MAPPING` group-principal-mapping tag
    `INBOUND_MAPPING_REQUIRED` inbound-mapping-required tag
    `UNKNOWN` always first

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SecurityWorkContext.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName string
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static SecurityWorkContext.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SecurityWorkContext.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final SecurityWorkContext.Tag UNKNOWN

      always first

    - #### INBOUND_MAPPING_REQUIRED

          public static final SecurityWorkContext.Tag INBOUND_MAPPING_REQUIRED

      inbound-mapping-required tag

    - #### CALLER_PRINCIPAL_DEFAULT_MAPPED

          public static final SecurityWorkContext.Tag CALLER_PRINCIPAL_DEFAULT_MAPPED

      caller-principal-default-mapped tag

    - #### CALLER_PRINCIPAL_MAPPING

          public static final SecurityWorkContext.Tag CALLER_PRINCIPAL_MAPPING

      caller-principal-mapping tag

    - #### GROUP_PRINCIPAL_DEFAULT_MAPPED

          public static final SecurityWorkContext.Tag GROUP_PRINCIPAL_DEFAULT_MAPPED

      group-principal-default-mapped tag

    - #### GROUP_PRINCIPAL_MAPPING

          public static final SecurityWorkContext.Tag GROUP_PRINCIPAL_MAPPING

      group-principal-mapping tag

  - ### Method Detail

    - #### values

          public static SecurityWorkContext.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SecurityWorkContext.Tag c : SecurityWorkContext.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SecurityWorkContext.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<SecurityWorkContext.Tag>`

    - #### forName

          public static SecurityWorkContext.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName string
      Parameters:
        `localName` - a string used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)